> On July 13, 2016, 1:29 p.m., Alejandro Fernandez wrote:
> > ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.5.xml, 
> > line 529
> > <https://reviews.apache.org/r/49987/diff/1/?file=1443244#file1443244line529>
> >
> >     Why is this needed exactly? Does Ranger not support a downgrade from 
> > HDP 2.5 to an earlier stack with the earlier configs?
> 
> Mugdha Varadkar wrote:
>     upgrade to 2.5 needs config changes which are added inside 
> <pre-upgrade></pre-upgrade>. During downgrade all the tasks under 
>     <pre-upgrade>
>               <task xsi:type="configure" 
> id="hdp_2_5_0_0_remove_audit_db_flag" />
>               <task xsi:type="configure" 
> id="hdp_2_5_0_0_remove_audit_db_admin_properties" />
>               <task xsi:type="configure" 
> id="hdp_2_5_0_0_remove_audit_db_ranger_admin_site" />
>               <task xsi:type="configure" id="hdp_2_5_0_0_remove_sso_property" 
> />
>     </pre-upgrade> 
>     
>     gets executed. This leads to below failure:
>     
>     Fail("Configuration parameter '" + self.name + "' was not found in 
> configurations dictionary!")
>     resource_management.core.exceptions.Fail: Configuration parameter 
> 'audit_db_name' was not found in configurations dictionary!
>     
>     To avoid that <pre-downgrade/> tag is used. 
>     Refer: 
> https://github.com/apache/ambari/blob/trunk/ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.5.xml#L606

Yes, it's something that is needed. It's not very intuitive, but <pre-upgrade/> 
runs on downgrade as well unless you override it with a blank <pre-downgrade/> 
element.

When we define out XSD for upgrades in the next version, we'll need to enforce 
that <pre-downgrade/> exists even if it's the same work as <pre-upgrade/> to 
avoid this weird side effects.


- Jonathan


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/49987/#review142084
-----------------------------------------------------------


On July 13, 2016, 8:25 a.m., Mugdha Varadkar wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/49987/
> -----------------------------------------------------------
> 
> (Updated July 13, 2016, 8:25 a.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Gautam Borad, Jonathan 
> Hurley, Jayush Luniya, Srimanth Gunturi, and Velmurugan Periasamy.
> 
> 
> Bugs: AMBARI-17687
>     https://issues.apache.org/jira/browse/AMBARI-17687
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> Scenario:
> 1. install ranger with stack 2.4 and ambari-2.4.0
> 2. register the version of stack 2.5
> 3. perform the upgrade
> at the step where it where zookeepers are upgraded , just downgraded.
> 4. downgrade was successful 
> 5. check ranger service status , it was down
> try to restart the ranger but ranger startup is failing
> 
> 
> Diffs
> -----
> 
>   
> ambari-server/src/main/resources/common-services/ATLAS/0.1.0.2.3/package/scripts/params.py
>  8445214 
>   
> ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/params_linux.py
>  6d304d4 
>   
> ambari-server/src/main/resources/common-services/HDFS/2.1.0.2.0/package/scripts/params_linux.py
>  f24bd83 
>   
> ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/params_linux.py
>  571eebd 
>   
> ambari-server/src/main/resources/common-services/KAFKA/0.8.1/package/scripts/params.py
>  f47eee4 
>   
> ambari-server/src/main/resources/common-services/KNOX/0.5.0.2.2/package/scripts/params_linux.py
>  7e0477f 
>   
> ambari-server/src/main/resources/common-services/RANGER/0.4.0/package/scripts/params.py
>  fad4b9b 
>   
> ambari-server/src/main/resources/common-services/RANGER_KMS/0.5.0.2.3/package/scripts/params.py
>  dfcad32 
>   
> ambari-server/src/main/resources/common-services/STORM/0.9.1/package/scripts/params_linux.py
>  2afb187 
>   
> ambari-server/src/main/resources/common-services/YARN/2.1.0.2.0/package/scripts/params_linux.py
>  44a0446 
>   ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.5.xml 
> 4c122e9 
>   ambari-server/src/main/resources/stacks/HDP/2.4/upgrades/upgrade-2.5.xml 
> bbd0fe4 
> 
> Diff: https://reviews.apache.org/r/49987/diff/
> 
> 
> Testing
> -------
> 
> Test Ranger Downgrade from stack 2.5 to 2.4
> 
> 
> Thanks,
> 
> Mugdha Varadkar
> 
>

Reply via email to